Package com.microblink.blinkid.entities.recognizers

# Class HighResImagesBundle

java.lang.Object
com.microblink.blinkid.intent.BaseIntentTransferable<HighResImagesBundle>
com.microblink.blinkid.entities.recognizers.HighResImagesBundle

All Implemented Interfaces:
  `android.os.Parcelable`, `com.microblink.blinkid.intent.MBIntentTransferable`

public class HighResImagesBundle extends com.microblink.blinkid.intent.BaseIntentTransferable<HighResImagesBundle>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<HighResImagesBundle>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighResImagesBundle()`
  `HighResImagesBundle(android.content.Intent intent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addImage(HighResImageWrapper image)`
  `void`
  `clearImages()`
  `protected void`
  `consumeContentFromLoadedObject(HighResImagesBundle loadedObject)`
  Consumes content from object loaded from intent.
  `protected android.os.Parcelable.Creator<? extends HighResImagesBundle>`
  `getConcreteCreator()`
  Returns parcelable creator for concrete intent transferable type.
  `List<HighResImageWrapper>`
  `getImages()`
  `protected String`
  `getUniqueIdIntentExtraKey()`
  Returns intent extra that will be used for transferring object unique ID.
  `protected void`
  `readFromParcel(android.os.Parcel in)`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class com.microblink.blinkid.intent.BaseIntentTransferable

  `clearSavedState, describeContents, existsInIntent, loadFromIntent, saveState, saveToIntent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<HighResImagesBundle> CREATOR

- ## Constructor Details

  - ### HighResImagesBundle

    public HighResImagesBundle()

  - ### HighResImagesBundle

    public HighResImagesBundle(@NonNull android.content.Intent intent)

- ## Method Details

  - ### addImage

    public void addImage(@NonNull HighResImageWrapper image)

  - ### clearImages

    public void clearImages()

  - ### getImages

    @NonNull public List<HighResImageWrapper> getImages()

  - ### getUniqueIdIntentExtraKey

    @NonNull protected String getUniqueIdIntentExtraKey()
    Description copied from class: `com.microblink.blinkid.intent.BaseIntentTransferable`
    Returns intent extra that will be used for transferring object unique ID. Different concrete classes cannot use the same intent extra key for this purpose because that will make sending objects from different concrete classes over the same intent impossible.
    Specified by:
      `getUniqueIdIntentExtraKey` in class `com.microblink.blinkid.intent.BaseIntentTransferable<HighResImagesBundle>`
    Returns:
      intent extra that will be used for transferring object unique ID.

  - ### getConcreteCreator

    @NonNull protected android.os.Parcelable.Creator<? extends HighResImagesBundle> getConcreteCreator()
    Description copied from class: `com.microblink.blinkid.intent.BaseIntentTransferable`
    Returns parcelable creator for concrete intent transferable type.
    Specified by:
      `getConcreteCreator` in class `com.microblink.blinkid.intent.BaseIntentTransferable<HighResImagesBundle>`
    Returns:
      parcelable creator for concrete intent transferable type.

  - ### consumeContentFromLoadedObject

    protected void consumeContentFromLoadedObject(@NonNull HighResImagesBundle loadedObject)
    Description copied from class: `com.microblink.blinkid.intent.BaseIntentTransferable`
    Consumes content from object loaded from intent.
    Specified by:
      `consumeContentFromLoadedObject` in class `com.microblink.blinkid.intent.BaseIntentTransferable<HighResImagesBundle>`

  - ### readFromParcel

    protected void readFromParcel(@NonNull android.os.Parcel in)
    Overrides:
      `readFromParcel` in class `com.microblink.blinkid.intent.BaseIntentTransferable<HighResImagesBundle>`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`
    Overrides:
      `writeToParcel` in class `com.microblink.blinkid.intent.BaseIntentTransferable<HighResImagesBundle>`